package com.company.sotrerror.entity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Column;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.chile.core.annotations.MetaProperty;
import javax.persistence.Transient;

@NamePattern("%s %s|transientField,localField")
@Table(name = "SOTRERROR_NEW_ENTITY1")
@Entity(name = "sotrerror$NewEntity1")
public class NewEntity1 extends StandardEntity {
    private static final long serialVersionUID = -1934877673313271356L;

    @Column(name = "LOCAL_FIELD")
    protected String localField;

    @Transient
    @MetaProperty
    protected String transientField;

    public void setTransientField(String transientField) {
        this.transientField = transientField;
    }

    public String getTransientField() {
        return transientField;
    }


    public void setLocalField(String localField) {
        this.localField = localField;
    }

    public String getLocalField() {
        return localField;
    }


}