package com.company.sotrerror.entity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.chile.core.annotations.NamePattern;

@NamePattern("%s|name")
@Table(name = "SOTRERROR_NEW_ENTITY2")
@Entity(name = "sotrerror$NewEntity2")
public class NewEntity2 extends StandardEntity {
    private static final long serialVersionUID = 2051584070870050845L;

    @Column(name = "NAME")
    protected String name;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "LINK_ID")
    protected NewEntity1 link;

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setLink(NewEntity1 link) {
        this.link = link;
    }

    public NewEntity1 getLink() {
        return link;
    }


}